[SCM] ffmpeg/experimental: Always fail loop on error

sramacher at users.alioth.debian.org sramacher at users.alioth.debian.org
Tue Mar 8 00:19:10 UTC 2016


The following commit has been merged in the experimental branch:
commit c9bfad5f21f281e2ceacc9f7bce18c7be7b4359a
Author: Sebastian Ramacher <sramacher at debian.org>
Date:   Tue Mar 8 01:08:31 2016 +0100

    Always fail loop on error
    
    Also use $(MAKE).

diff --git a/debian/rules b/debian/rules
index bd43459..c1e4158 100755
--- a/debian/rules
+++ b/debian/rules
@@ -213,7 +213,7 @@ override_dh_auto_build-indep:
 override_dh_auto_build-arch:
 	# Copy built object files to avoid building them again for the extra flavor.
 	# Build qt-faststart here, to make it possible to build with 'nocheck'.
-	for flavor in $(FLAVORS); do \
+	set -e && for flavor in $(FLAVORS); do \
 		echo " *** $$flavor ***"; \
 		if echo "$$flavor" | grep -q "extra"; then \
 			subdir=`[ "$$flavor" = "extra" ] && echo "debian/standard/" || echo "debian/altivec/"`; \
@@ -224,7 +224,7 @@ override_dh_auto_build-arch:
 			rm debian/"$$flavor"/libavcodec/allcodecs.o; \
 		fi; \
 		if [ "$$flavor" = "standard" ]; then \
-			cd debian/standard; make tools/qt-faststart; cd ../..; \
+			$(MAKE) -C debian/standard tools/qt-faststart; \
 		fi; \
 		dh_auto_build -a --sourcedirectory=debian/"$$flavor" || (cat debian/"$$flavor"/config.log && exit 1); \
 	done

-- 
ffmpeg packaging



More information about the pkg-multimedia-commits mailing list